如何在WordPress中将jQuery升级到最新版本?

jQuery是一个兼容多浏览器的JavaScript框架,WordPress主题、插件及其程序本身,都依赖于jQuery。如果我们运行的是旧版本的WordPress,为了网站安全考虑,建议将jQuery升级到最新版本。

我们可使用Web浏览器中的JavaScript控制台,查看当前网站正在运行的jQuery版本。例如,用谷歌浏览器访问某个WordPress网站,在菜单上选择查看开发人员JavaScript控制台,然后将以下命令粘贴到控制台中,该命令将显示当前网站正在运行的jQuery版本。

jQuery.fn.jquery

如何在WordPress中将jQuery升级到最新版本?插图

如果不是最新版本的jQuery,那么可通过以下方法将其升级到最新的稳定版本。

方法1、使用jQuery Updater插件

登录到WordPress后台管理界面,然后安装并激活jQuery Updater插件,激活后,我们的网站将开始运行最新版本的jQuery。但在更改前,我们一般需要清除浏览器缓存和WordPress缓存。

jQuery Updater插件包括jQuery迁移脚本,有助于向后兼容。如果我们发现当前网站使用的一些插件有问题,那么可通过该插件将站点恢复到原始状态。

方法2、 使用Version Control for jQuery插件

Version Control for jQuery插件允许我们控制在网站上运行的jQuery版本,安装激活该插件后,可以通过访问Settings » jQuery Version Control页面。

如何在WordPress中将jQuery升级到最新版本?插图1

在设置页面,我们可以选择在站点上运行的jQuery和jQuery迁移版本。选择合适的版本后,点击“Save Changes”按钮保存即可。

WordPress一般会定期维护更新,有新版本发布时,我们可在仪表盘中自动更新,或者在官网下载最新的安装包进行手动升级。当WordPress始终保持最新版本时,jQuery也会自动完成更新。

相关阅读:《WordPress程序手动升级更新的方法步骤》

THE END
点赞734 分享